Bug 1574942 - Expand cluster screen lists all nodes in the cluster
Summary: Expand cluster screen lists all nodes in the cluster
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-ui
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: Neha Gupta
QA Contact: Filip Balák
URL:
Whiteboard:
Depends On:
Blocks: 1503137
TreeView+ depends on / blocked
 
Reported: 2018-05-04 11:54 UTC by Nishanth Thomas
Modified: 2018-09-04 07:06 UTC (History)
4 users (show)

Fixed In Version: tendrl-ui-1.6.3-2.el7rhgs tendrl-ansible-1.6.3-4.el7rhgs tendrl-notifier-1.6.3-3.el7rhgs tendrl-commons-1.6.3-5.el7rhgs tendrl-api-1.6.3-3.el7rhgs tendrl-monitoring-integration-1.6.3-3.el7rhgs tendrl-node-agent-1.6.3-5.el7rhgs
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 07:05:38 UTC
Target Upstream Version:
negupta: needinfo+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github https://github.com/Tendrl ui issues 957 0 None None None 2018-05-10 07:01:00 UTC
Red Hat Product Errata RHSA-2018:2616 0 None None None 2018-09-04 07:06:47 UTC

Description Nishanth Thomas 2018-05-04 11:54:00 UTC
Description of problem:
Export cluster dialog lists all nodes in the cluster, rather it should list only the nodes which are supposed to be expanded.

Version-Release number of selected component (if applicable):
tendrl-ui-1.6.3-1.el7rhgs

How reproducible:
Always

Steps to Reproduce:
1.Import an existing gluster cluster
2. Add a new node into the cluster using CLIs
3. Run tendrl-ansible so that the tendrl agents gets installed on the new node
4. Once the expand button enable on the UI, click expand which brings up this screen

Actual results:
All nodes are listed in the screen

Expected results:
Only the nodes supposed to be expanded should be displayed.

Comment 2 Neha Gupta 2018-05-09 09:45:16 UTC
julim@redhat.com As per the mockup https://redhat.invisionapp.com/share/8QCOEVEY9#/screens/283795644, , its mentioned to show all the hosts available for the cluster. I agree with Nishanth for listing only the nodes which are supposed to be expanded.

Comment 3 Ju Lim 2018-05-10 13:54:44 UTC
It should only show the list of nodes that are available for expansion, i.e. nodes that are not part of an existing cluster.

The annotation in https://redhat.invisionapp.com/share/8QCOEVEY9#/screens/283795644 should state it's list all available nodes (that are not part of an existing cluster) for expansion.

Comment 6 Filip Balák 2018-05-21 13:25:37 UTC
Seems ok. --> VERIFIED

Tested with:
tendrl-ansible-1.6.3-4.el7rhgs.noarch
tendrl-api-1.6.3-3.el7rhgs.noarch
tendrl-api-httpd-1.6.3-3.el7rhgs.noarch
tendrl-commons-1.6.3-5.el7rhgs.noarch
tendrl-grafana-plugins-1.6.3-3.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
tendrl-monitoring-integration-1.6.3-3.el7rhgs.noarch
tendrl-node-agent-1.6.3-5.el7rhgs.noarch
tendrl-notifier-1.6.3-3.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-ui-1.6.3-2.el7rhgs.noarch

Comment 8 errata-xmlrpc 2018-09-04 07:05:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2616


Note You need to log in before you can comment on or make changes to this bug.